Bug 869579 (CVE-2012-4556)

Summary: CVE-2012-4556 pki-tps: Connection reset when performing empty certificate search in TPS
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: alee, cfu, dennis, dpal, gsterlin, jmagne, jrusnack, mharmsen, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121206,reported=20121022,source=researcher,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:N/A:P,certificate_system_8/TPS=affected,fedora-all/pki-tps=affected,epel-5/pki-tps=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 02:46:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 871487, 884830, 884831    
Bug Blocks: 864425    

Description Jan Lieskovsky 2012-10-24 06:20:46 EDT
A temporary denial of service flaw was found in the way token processing system of Certificate System processed user certificate search queries with certain empty search fields. A remote attacker could use this flaw to cause the main Apache httpd web server broker it to need to restart (resulting into situation where the client would obtain connection reset instead of proper error message), leading to (temporary) denial of service (resulting into any users currently in the middle of enrolling tokens to experience a connection drop and their in progress operation to be terminated).
Comment 3 Jan Lieskovsky 2012-10-30 10:09:14 EDT
The CVE identifier of CVE-2012-4556 has been assigned to this issue.
Comment 5 Jan Lieskovsky 2012-11-01 13:42:14 EDT
Acknowledgements:

Red Hat would like to thank Patrick Raspante and Ryan Millay of GDC4S for reporting this issue.
Comment 6 Vincent Danen 2012-12-06 14:54:43 EST
Created pki-tps tracking bugs for this issue

Affects: fedora-all [bug 884830]
Affects: epel-5 [bug 884831]
Comment 7 errata-xmlrpc 2012-12-06 15:34:27 EST
This issue has been addressed in following products:

  Red Hat Certificate System 8

Via RHSA-2012:1550 https://rhn.redhat.com/errata/RHSA-2012-1550.html